Centos安装Hadoop出错

云计算 waitig 1164℃ 百度已收录 0评论

错误提示:


ERROR namenode.NameNode: Failed to start namenode.  

java.lang.UnsupportedClassVersionError: org/apache/hadoop/mapreduce/lib/output/SequenceFileAsBinaryOutputFormat : Unsupported major.minor version 52.0  

Unsupported major.minor version 52.0 
:不支持的major.minor版本52


最后查阅资料得知是JDK版本不支持。

我用的是JDK是1.7.0_79版本的,hadoop是2.7.4版本的,根据官网资料:


没有写79,按道理执行1.7.0应该就是可以的,不知道为什么。

查看Hadoop需要的JDK版本网址:https://wiki.apache.org/hadoop/HadoopJavaVersions


既然JDK版本低,那么就安装一个高版本的JDK,最后安装JDK1.8成功。


本文由【waitig】发表在等英博客
本文固定链接:Centos安装Hadoop出错
欢迎关注本站官方公众号,每日都有干货分享!
等英博客官方公众号
点赞 (0)分享 (0)